/* Fade */

/* =========================
   ローディング中は停止
========================= */
.is-loading .fade,
.is-loading .fade-left,
.is-loading .fade-top,
.is-loading .fade-bottom,
.is-loading .fade-img {
  opacity: 0 !important;
  /*  transform: none; */
}


/* =========================
   フェード系
========================= */

/* フェードのみ */
.fade {
  opacity: 0;
  transition: opacity 0.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.fade.active {
  opacity: 1;
}

/* 下から */
.fade-bottom {
  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.fade-bottom.active {
  opacity: 1;
  transform: translateY(0);
}

@media (max-width: 768px) {
  .fade-bottom {
    transform: translateY(30px);
  }

  .fade-left {
    transform: translateX(-30px);
  }
}

/* 左から */
.fade-left {
  opacity: 0;
  transform: translateX(-40px);
  transition: all 0.8s cubic-bezier(0.22, 1, 0.36, 1);
}
.fade-left.active {
  opacity: 1;
  transform: translateX(0);
}

/* 上から */
.fade-top {
  opacity: 0;
  transform: translateY(-30px);
  transition: all 1s cubic-bezier(0.22, 1, 0.36, 1);
}
.fade-top.active {
  opacity: 1;
  transform: translateY(0);
}


/* =========================
   画像拡大
========================= */

/* 初期状態：少し小さめ */
.fade img {
  transform: scale(0.9); /* 少し縮小 */
  transition: transform 0.8s ease, opacity 0.8s ease;
  opacity: 0;
}

/* active でフェード＋拡大 */
.fade.active img {
  transform: scale(1); /* デフォルトサイズに拡大 */
  opacity: 1;
}


/* =========================
   遅延
========================= */
.delay1 { transition-delay: 0.1s; }
.delay2 { transition-delay: 0.2s; }
.delay3 { transition-delay: 0.3s; }
.delay4 { transition-delay: 0.4s; }
.delay5 { transition-delay: 0.5s; }
.delay6 { transition-delay: 0.6s; }



